import React from 'react';
import { storiesOf } from '@storybook/react';
import AmountInput from './index';
import { State, Store } from '@sambego/storybook-state';
import { t } from 'Framework/i18n';

const store = new Store({
    note: '100',
});

storiesOf('AmountInput', module).add('with label', () => (
    <State store={store}>
        {state => [
            <AmountInput
                value={state.note}
                key={state.note}
                amountLabel={t('amountPrice.amount')}
                amountValue={state.amount}
            />,
        ]}
    </State>
));
